%global appname		QtOlm

%define major		3
%define libname		%mklibname qtolm %{major}
%define develname	%mklibname qtolm -d

Name:		libqtolm
Version:	3.0.1
Release:	%mkrel 2
Summary:	Qt wrapper for libolm
License:	GPLv3+
Group:		System/Libraries
URL:		https://gitlab.com/b0/%{name}
Source0:	%{url}/-/archive/v%{version}/%{name}-v%{version}.tar.gz

BuildRequires:	cmake(Olm)
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Network)

BuildRequires:	ninja-build
BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	gcc

%description
Special Qt wrapper for libolm library.

#------------------------------------------------

%package -n	%{libname}
Summary:	Qt wrapper for libolm
Group:		System/Libraries

%description -n	%{libname}
Special Qt wrapper for libolm library.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -n %{name}-v%{version}

%build
%cmake -G Ninja \
    -DCMAKE_INSTALL_INCLUDEDIR:PATH="include/%{appname}"
%cmake_build

%check
%ctest

%install
%cmake_install

%files -n %{libname}
%license LICENSE
%{_libdir}/libQtOlm.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{appname}/
%{_libdir}/cmake/%{appname}/
%{_libdir}/pkgconfig/%{appname}.pc
%{_libdir}/libQtOlm.so


%changelog
* Sun Apr 03 2022 umeabot <umeabot> 3.0.1-2.mga9
+ Revision: 1842320
- Mageia 9 Mass Rebuild

* Wed Jan 13 2021 daviddavid <daviddavid> 3.0.1-1.mga8
+ Revision: 1671592
- initial package libqtolm (needed for neochat)

